<?xml version="1.0" encoding="utf-8"?>

<File Version="1.0">

	<ExtensionPoint ID="I_PbAppSetting" Enable="1">
		<Plugin ID="GamingMouse" Bundle="GamingMouseMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbAppSetting" PluginID="GamingForce"/>
			<ExtraConfig>
				<DefaultDBFile>RecoverSetting\GM\GamingMouse.gmdb</DefaultDBFile>
				<DBFile>GamingMouse.gmdb</DBFile>
				<CloseCustomizeMode>
					<Item>SingleKeyDialog</Item>
					<Item>ComboKeyDialog</Item>
					<Item>MacroKeyDialog</Item>
					<Item>FireKeyDialog</Item>
					<Item>StartProcessDialog</Item>					
				</CloseCustomizeMode>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbMessageBoxPrompter" Enable="1">
		<Plugin ID="GM::Message_zh-TW" Bundle="..\MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GM::Message_zh-TW"/>
		</Plugin>
		<Plugin ID="GM::Message_zh-CN" Bundle="..\MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GM::Message_zh-CN"/>
		</Plugin>
		<Plugin ID="GM::Message_en-US" Bundle="..\MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GM::Message_en-US"/>
		</Plugin>
	</ExtensionPoint>
	
	<ExtensionPoint ID="I_PbMessageProvider" Enable="1">
		<Plugin ID="GM::Message_zh-TW" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GM\Message_zh-TW.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GM::Message_zh-CN" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GM\Message_zh-CN.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GM::Message_en-US" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GM\Message_en-US.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GM::UIText_zh-TW" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GM\UIText_zh-TW.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GM::UIText_zh-CN" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GM\UIText_zh-CN.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GM::UIText_en-US" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GM\UIText_en-US.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GM::UITooltip_zh-TW" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GM\UITooltip_zh-TW.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GM::UITooltip_zh-CN" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GM\UITooltip_zh-CN.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GM::UITooltip_en-US" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GM\UITooltip_en-US.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GM::KeyboardHookMapping" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GM\KeyboardHookMapping.xml</File>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbMessageBoxProvider" Enable="1">
		<Plugin ID="GamingMouse" Bundle="GamingMouseMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GM::Message_zh-TW"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GM::Message_zh-CN"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GM::Message_en-US"/>
			<ExtraConfig>
				<Prefix>GM::Message_</Prefix>
				<Language>zh-TW</Language>
				<LanguageElse>en-US</LanguageElse>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbUITextProvider" Enable="1">
		<Plugin ID="GamingMouse" Bundle="GamingMouseMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GM::UIText_zh-TW"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GM::UIText_zh-CN"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GM::UIText_en-US"/>
			<ExtraConfig>
				<Prefix>GM::UIText_</Prefix>
				<Language>zh-TW</Language>
				<LanguageElse>en-US</LanguageElse>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GamingMouseTooltip" Bundle="GamingMouseMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GM::UITooltip_zh-TW"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GM::UITooltip_zh-CN"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GM::UITooltip_en-US"/>
			<ExtraConfig>
				<Prefix>GM::UITooltip_</Prefix>
				<Language>zh-TW</Language>
				<LanguageElse>en-US</LanguageElse>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="GM::I_PbKeyboardHook" Enable="1">
		<Plugin ID="GamingMouse" Bundle="GamingMouseMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GM::KeyboardHookMapping"/>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="GM::I_PbUserProfileFacade" Enable="1">
		<Plugin ID="GamingMouse" Bundle="GamingMouseProfile.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageBoxProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbGamingMousePersister" PluginID="GamingMouse"/>
            <ExtraConfig>
				<Profile InitCreateCount="3" InitUsedCount="1">
					<ProfileSummary IsActive="0" IsUsed="-1" IsGamingModeEnabled="0" MouseLightMode="3" BindHotKeyIndex="-1" ReportRate="3" LiftOffDistance="1"/>
					<GamingMode DisableAltF4="0" DisableAltTab="0" DisableWinKey="0"/>
					<DPISetting DefIsEnabled="1" DefValueX="0" DefValueY="0">
						<!--Settingi  IsEnabled="1" ValueX="0" ValueY="0"/-->
						<Setting0  IsEnabled="1" ValueX="1" ValueY="1"/>
						<Setting1  IsEnabled="1" ValueX="3" ValueY="3"/>
						<Setting2  IsEnabled="1" ValueX="5" ValueY="5"/>
						<Setting3  IsEnabled="1" ValueX="7" ValueY="7"/>
					</DPISetting>
					<MouseKey DefKeyDefine="0?0">
						<!--Keyi  KeyDefine="j?k"/-->
						<Key0  KeyDefine="0?0"/>
						<Key1  KeyDefine="0?1"/>
						<Key2  KeyDefine="0?2"/>
						<Key3  KeyDefine="0?3"/>
						<Key4  KeyDefine="0?4"/>
						<Key5  KeyDefine="0?5"/>
					</MouseKey>
					<MouseLightBreathing EnableColor2="0" Color1="#0000ff" Color2="#0000ff" Frequency="11" IsRandom="0" Brightness="15"/>
					<MouseLightReactive EnableColor2="0" Color1="#0000ff" Color2="#0000ff" Duration="1" IsRandom="0" Brightness="15"/>
					<MouseLightSpectrumCycling Frequency="11" Brightness="15"/>
					<MouseLightStatic Color="#0000ff" Brightness="15"/>
					<MouseLightExplosion Color="#0000ff"  Frequency="5" Brightness="15"/>
					<MouseLightHeartBeating EnableColor2="0" Color1="#0000ff" Color2="#0000ff" Frequency="15" IsRandom="0" Brightness="15"/>
				</Profile>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="GM::I_PbGamingMouseWriter" Enable="1">
		<Plugin ID="GamingMouse" Bundle="GamingMouseWriter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageBoxProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbGamingMouseMacroFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbDeviceSetting" PluginID="GamingMouse"/>

			<ExtraConfig>
				<MemoryType>0</MemoryType> <!--0:EEPROM, 1:Flash-->
				<CommandDelayTime>10</CommandDelayTime>
				<DeviceArrivalDelayTime>1000</DeviceArrivalDelayTime>
				<EnableLightingMode>
					<Item>BreathingMode</Item>
					<Item>ReactiveMode</Item>
					<Item>SpectrumCyclingMode</Item>
					<Item>StaticMode</Item>
					<Item>HeartBeatingMode</Item>
				</EnableLightingMode>
				<LightBrightnessLevel>
					<Value>0</Value>
					<Value>45</Value>
					<Value>60</Value>
					<Value>75</Value>
					<Value>90</Value>
					<Value>105</Value>
					<Value>120</Value>
					<Value>135</Value>
					<Value>150</Value>
					<Value>165</Value>
					<Value>180</Value>
					<Value>195</Value>
					<Value>210</Value>
					<Value>225</Value>
					<Value>240</Value>
					<Value>255</Value>
				</LightBrightnessLevel>
				<LightFrequencyLevel>
					<Value>38</Value>
					<Value>36</Value>
					<Value>34</Value>
					<Value>32</Value>
					<Value>30</Value>
					<Value>28</Value>
					<Value>26</Value>
					<Value>24</Value>
					<Value>22</Value>
					<Value>20</Value>
					<Value>18</Value> 
					<Value>16</Value>
					<Value>14</Value>
					<Value>12</Value>
					<Value>10</Value>
					<Value>8</Value>
				</LightFrequencyLevel>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>
	
	<ExtensionPoint ID="GM::I_PbGamingMousePersister" Enable="1">
		<Plugin ID="GamingMouse" Bundle="GamingMousePersister.dll" Enable="1">
			<ExtraConfig>
				<File>GamingMouse.gmdb</File>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="GM::I_PbGamingMouseMacroFacade" Enable="1">
		<Plugin ID="GamingMouse" Bundle="GamingMouseMacro.dll" Enable="1">
			<ExtraConfig>
				<PersistentFile>GamingMouseMacro.ini</PersistentFile>
				<MacroFile DefFileExt=".mac"/>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="GM::I_PbSystemMouseRetriever" Enable="1">
		<Plugin ID="GamingMouse" Bundle="GamingMouseWriter.dll" Enable="1"/>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbSubAppDelegation" Enable="1">
		<Plugin ID="GamingMouse" Bundle="GamingMouseMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageBoxProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbAppSetting" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbGamingMouseWriter" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbGamingMousePersister" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbGamingMouseMacroFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="GM::BasicUI"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="GM::AdvancedUI"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="GM::LightingUI"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="GM::GamingModeUI"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="GM::MacroUI"/>
		</Plugin>
	</ExtensionPoint>
	
	<ExtensionPoint ID="GM::I_PbDeviceSetting" Enable="1">
		<Plugin ID="GamingMouse" Bundle="GamingMouseMain.dll" Enable="1">
			<Collaboration ExtensionPointID="GM::I_PbGamingMouseWriter" PluginID="GamingMouse"/>
			<ExtraConfig>
				<DeviceSetting ShowLiftOffDistance="0" SupportDPISync="1"/>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<NextPluginFile>Skin.xml</NextPluginFile>
	<NextPluginFile>SkinDialog.xml</NextPluginFile>

	<NextPluginFile>BasicUI.xml</NextPluginFile>
	<NextPluginFile>AdvancedUI.xml</NextPluginFile>
	<NextPluginFile>LightingUI.xml</NextPluginFile>
	<!--NextPluginFile>GamingModeUI.xml</NextPluginFile-->
	<NextPluginFile>MacroUI.xml</NextPluginFile>
	<NextPluginFile>MouseKeyDialog.xml</NextPluginFile>
	<NextPluginFile>LightingPaletteDialog.xml</NextPluginFile>

	<NextPluginFile>ProfileDialog.xml</NextPluginFile>
	<NextPluginFile>MacroEditDialog.xml</NextPluginFile>
	<NextPluginFile>DelayTimeDialog.xml</NextPluginFile>
	<NextPluginFile>RenameDialog.xml</NextPluginFile>

	<NextPluginFile>SingleKeyDialog.xml</NextPluginFile>
	<NextPluginFile>ComboKeyDialog.xml</NextPluginFile>
	<NextPluginFile>MouseFunctionDialog.xml</NextPluginFile>
	<NextPluginFile>DPIKeyDialog.xml</NextPluginFile>
	<NextPluginFile>MacroKeyDialog.xml</NextPluginFile>
	<!--NextPluginFile>SwitchProfileDialog.xml</NextPluginFile-->
	<NextPluginFile>FireKeyDialog.xml</NextPluginFile>
	<NextPluginFile>StartProcessDialog.xml</NextPluginFile>
	<NextPluginFile>MediaKeyDialog.xml</NextPluginFile>
	<NextPluginFile>WindowsKeyDialog.xml</NextPluginFile>

</File>
